Fusion 2.5 Unable to resolve project target Android

Unable to resolve project target android-XX

When using Clickteam Fusion 2.5 along with the Android exporter to develop your Android games and apps, you may run into this error:

Unable to resolve project target ‘android-XX’

If you do, do not fear. This is a common error when you’re either starting a new application or updating an older one.

Android API Version

Each time you want to build with Android Tools (or with Clickteam Fusion 2.5), the version of the Android Runtime you are using requires a base API level installed for the Android tools. Some extensions or features require higher levels of the API to be installed, this is because without the higher level of API installed, your game or app won’t be able to utilise these features.



For example, if you are using ChartBoost in your application and you get this error

Unable to resolve project target ‘android-22’

ChartBoost requires API level 22. Now, you may have API 21 and 23 installed. It still requires API level 22.

So regardless of what other API levels you have installed, the extension (ChartBoost in this scenario) requires API 22 to be installed and this is what you need to do.

How to fix this Android Error

Simply open up your Android SDK Manager – you can usually find this in your Start Menu. Once opened, scroll down until you see API 22 and select the checkbox next to it…

Clickteam Fusion 2.5 Android Error

On my example above, you can see it says ‘installed’ but on yours, it will say ‘not installed’. Once you have selected these, click on the Install Packages button…

Android SDK Install Packages

Once you have done this, it maybe wise to restart Clickteam Fusion 2.5 and then try again. It should now work.

If you ever receive the android error Unable to resolve project target ‘android-XX’ then you now know what to do.

Leave a Comment